linux下面是不是没有rpm这个命令?

为当前最终发行版之前的所有版本提供支持
回复
snappy
帖子: 279
注册时间: 2006-03-02 22:34
来自: 广西南宁
送出感谢: 0
接收感谢: 0
联系:

linux下面是不是没有rpm这个命令?

#1

帖子 snappy » 2006-03-03 14:48

我从网上下载了一些rpm格式的包,用rpm命令的时候发现找不到这个命令,请问是不是ubuntu里面没有这个rpm命令阿?我是新手,请大家回答我,谢谢
Ubuntu8.04
IBM T40 PM 1.5G
1.5G内存
80G硬盘
14.1XGA
显卡 ATI RADEON 7500 32M
56K/1GB/红外/TV-out/无线802.11b
COMBO
头像
ct
帖子: 2201
注册时间: 2005-04-06 21:15
来自: 安徽黄山
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 ct » 2006-03-03 15:44

ubuntu用的是deb包,不建议用rpm包
如果是关联比较简单的rpm包可以通过 alien 来转换成deb包再装。
头像
thankwsx
帖子: 132
注册时间: 2006-02-28 20:26
来自: 江苏淮安周恩来故居
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 thankwsx » 2006-03-04 20:10

代码: 全选

alien -d *****.rpm
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-03-04 20:34

一般不用自己到网上下载rpm包来安装,基本上apt-get就能够安装大部分需要的软件了。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
我是菜鸟我怕谁
帖子: 31
注册时间: 2006-03-17 14:08
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 我是菜鸟我怕谁 » 2006-03-17 14:33

其实可以找到apm命令,要在软件管理器中找到apm包,装上就可以用apm命令了。
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#6

帖子 firehare » 2006-03-17 15:56

??
看不懂了!
我心无畏,源自于我心无知。
图片
头像
yang119345
帖子: 570
注册时间: 2005-06-19 14:22
来自: 上海
送出感谢: 0
接收感谢: 1 次
联系:

#7

帖子 yang119345 » 2006-03-17 22:59

我是菜鸟我怕谁 写了:其实可以找到apm命令,要在软件管理器中找到apm包,装上就可以用apm命令了。

RPM??? :shock:
the7thevil
帖子: 61
注册时间: 2006-03-08 15:43
送出感谢: 0
接收感谢: 0

#8

帖子 the7thevil » 2006-03-17 23:35

yang119345 写了:
我是菜鸟我怕谁 写了:其实可以找到apm命令,要在软件管理器中找到apm包,装上就可以用apm命令了。

RPM??? :shock:
RedHat开发的安装包~~~~~
头像
yang119345
帖子: 570
注册时间: 2005-06-19 14:22
来自: 上海
送出感谢: 0
接收感谢: 1 次
联系:

#9

帖子 yang119345 » 2006-03-17 23:58

the7thevil 写了:
yang119345 写了:
我是菜鸟我怕谁 写了:其实可以找到apm命令,要在软件管理器中找到apm包,装上就可以用apm命令了。

RPM??? :shock:
RedHat开发的安装包~~~~~

晕死,他写的apm
rev-tim
帖子: 5
注册时间: 2006-03-18 1:52
送出感谢: 0
接收感谢: 0

#10

帖子 rev-tim » 2006-03-18 2:00

我是菜鸟我怕谁 写了:其实可以找到apm命令,要在软件管理器中找到apm包,装上就可以用apm命令了。
安装和rh发行版一样吗?
NICMICHAEL
帖子: 309
注册时间: 2006-01-04 19:26
送出感谢: 0
接收感谢: 0

#11

帖子 NICMICHAEL » 2006-03-19 16:09

rpm包很麻烦的,复杂的依赖关系。我就是因为这个原因没用FC4而改用UB....了
头像
yang119345
帖子: 570
注册时间: 2005-06-19 14:22
来自: 上海
送出感谢: 0
接收感谢: 1 次
联系:

#12

帖子 yang119345 » 2006-03-19 16:39

ubuntu用的是deb包,虽然可以用alien命令将rpm包转成deb包,但是不建议这样做。
至于
NICMICHAEL 写了:rpm包很麻烦的,复杂的依赖关系。我就是因为这个原因没用FC4而改用UB....了
对于RH/FC确实依赖关系很麻烦,但是已经有非常成熟的解决方案拉,移植自yellow dog linux的yum和debian的apt
回复

回到 “老旧版本支持”